makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine Class Reference
Inheritance diagram for com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine:

## Public Member Functions
| MakeUpEngine (Activity context, String licensePath, BSCProvider provider)
void | AddObserver (IMakeUpObserver observer)
void | CreateMakeUp (FeatureTemplate featureTemplate, FinishTemplate finishTemplate, ArrayList< Float > boundingBox)
void | CreateMakeUp (FeatureTemplate featureTemplate, FinishTemplate finishTemplate)
void | DisplayMakeUp (Effect effect)
void | HideMakeUp (Effect effect)
void | ClearMakeUp ()
void | RemoveMakeUp (Effect effect)
void | UpdateMakeUp (Effect effect)
Public Member Functions inherited from com.visagetechnologies.makeupsdk.MakeupEngine
| MakeupEngine (Activity context, String licensePath, BSCProvider provider)
void | AddObserver (IMakeupObserver observer)
void | CreateMakeup (FeatureTemplate featureTemplate, FinishTemplate finishTemplate, ArrayList< Float > boundingBox)
void | CreateMakeup (FeatureTemplate featureTemplate, FinishTemplate finishTemplate)
void | DisplayMakeup (Effect effect)
void | HideMakeup (Effect effect)
void | ClearMakeup ()
void | RemoveMakeup (Effect effect)
void | UpdateMakeup (Effect effect)
void | Reset ()
FeatureTemplateRepository | GetFeatures ()
FinishTemplateRepository | getFinishes ()
FinishTemplateRepository | GetFinishes ()

## Detailed Description

Deprecated:
  Please use `MakeupEngine` class instead.

This class is part of the SDK's core functionality.
It primarily serves two key functions:
Manipulating the current output of the view throught creating, displaying, updating, hiding, and removing makeup effects.
Exposure of FeatureTemplateRepository and FinishTemplateRepository deserialized from Feature.json and finishes.json files.

## Constructor & Destructor Documentation

## ◆ MakeUpEngine()

com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.MakeUpEngine | ( | Activity | context,
|  | String | licensePath,
|  | BSCProvider | provider
| ) |  |
| inline

Deprecated:
  Please use `MakeupEngine` class constructor instead.

Constructor of the makeup engine

Parameters

  context | The android activity in witch the SDK will render
  licensePath | Path to the license
  frameProvider | Instance of FrameProvider used to provide input frames to the SDK

## Member Function Documentation

## ◆ AddObserver()

void com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.AddObserver | ( | IMakeUpObserver | observer | ) |
| inline

Deprecated:
  Please use `MakeupEngine.AddObserver(IMakeupObserver)` method instead.

Attaches observer to the engine. IMakeUpObserver is used to obtain event notifications from the engine.

Parameters

  observer | Instance of IMakeUpObserver

## ◆ ClearMakeUp()

void com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.ClearMakeUp | ( |  | ) |
| inline

Deprecated:
  Please use `MakeupEngine.ClearMakeup()` method instead.

Destroys all created makeup effects.

## ◆ CreateMakeUp() [1/2]

void com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.CreateMakeUp | ( | FeatureTemplate | featureTemplate,
|  | FinishTemplate | finishTemplate
| ) |  |
| inline

Deprecated:
  Please use `MakeupEngine.CreateMakeup(FeatureTemplate, FinishTemplate)` method instead.

Creates makeup effect from given feature and finish templates. Returns the id of the created effect via IMakeupObserver interface.

Parameters

  featureTemplate | FeatureTemplate object
  finishTemplate | FinishTemplate object

## ◆ CreateMakeUp() [2/2]

void com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.CreateMakeUp | ( | FeatureTemplate | featureTemplate,
|  | FinishTemplate | finishTemplate,
|  | ArrayList< Float > | boundingBox
| ) |  |
| inline

Deprecated:
  Please use `MakeupEngine.CreateMakeup(FeatureTemplate, FinishTemplate, ArrayList<Float>)` method instead.

Creates makeup effect from given feature and finish templates. Additionally, this function takes an array of floats specifying a bounding box in the following way:

- Lower left x coordinate is the first element of the array
- Lower left y coordinate is the second element of the array
- Upper right x coordinate is the third element of the array
- Upper right y coordinate is the fourth element of the array Bounding box is set in normalized image coordinates where point (0.0, 0.0) is the lower left corner of the output image while point (1.0, 1.0) is the upper right corner of the output image. This effect will be visible only when its location in the output image is inside of the bounding box. The default bounding box is contains the whole output image. If the input array has less than 4 elements, the default bounding box will be used. Returns the id of the created effect via IMakeupObserver interface.

Parameters

  featureTemplate | FeatureTemplate object
  finishTemplate | FinishTemplate object
  boundingBox | Quuartet specifying bounding box in which this effect is visible

## ◆ DisplayMakeUp()

void com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.DisplayMakeUp | ( | Effect | effect | ) |
| inline

Deprecated:
  Please use `MakeupEngine.DisplayMakeup(Effect)` method instead.

Displays given makeup effect.

Parameters

  effect | makeup effect id

## ◆ HideMakeUp()

void com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.HideMakeUp | ( | Effect | effect | ) |
| inline

Deprecated:
  Please use `MakeupEngine.HideMakeup(Effect)` method instead.

Hides given makeup effect.

Parameters

  effect | makeup effect

## ◆ RemoveMakeUp()

void com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.RemoveMakeUp | ( | Effect | effect | ) |
| inline

Deprecated:
  Please use `MakeupEngine.RemoveMakeup(Effect)` method instead.

Destroys given makeup effect.

Parameters

  effect | makeup effect

## ◆ UpdateMakeUp()

void com.visagetechnologies.makeupsdk.deprecated.MakeUpEngine.UpdateMakeUp | ( | Effect | effect | ) |
| inline

Deprecated:
  Please use `MakeupEngine.UpdateMakeup(Effect)` method instead.

Updates given makeup effect.

Parameters

  effect | makeup effect